# Bootstrap
%bcond_with check

%global packname vctrs
%global packver  0.3.8
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          0.3.8
Release:          1
Summary:          Vector Helpers

License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz
# https://github.com/r-lib/vctrs/issues/1353
Patch0001:        0001-Skip-some-tests-on-big-endian-machines.patch

BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-ellipsis >= 0.2.0
BuildRequires:    R-glue
BuildRequires:    R-rlang >= 0.4.10
%if %{with check}
BuildRequires:    R-bit64
BuildRequires:    R-crayon
BuildRequires:    R-dplyr >= 0.8.5
BuildRequires:    R-generics
BuildRequires:    R-knitr
BuildRequires:    R-pillar >= 1.4.4
BuildRequires:    R-pkgdown
BuildRequires:    R-rmarkdown
BuildRequires:    R-testthat >= 2.3.0
BuildRequires:    R-tibble
BuildRequires:    R-withr
BuildRequires:    R-xml2
BuildRequires:    R-waldo >= 0.2.0
BuildRequires:    R-zeallot
%endif

%description
Defines new notions of prototype and size that are used to provide tools for
consistent and well-founded type-coercion and size-recycling, and are in turn
connected to ideas of type- and size-stability useful for analysing function
interfaces.


%package devel
Summary:          Development files for %{name}
Requires:         %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %{name}.


%prep
%setup -q -c -n %{packname}

pushd %{packname}
sed -i 's/covr, //g' DESCRIPTION
sed -i 's/pkgdown, //g' DESCRIPTION
%patch0001 -p1
popd


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with check}
export LANG=C.UTF-8
%{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/WORDLIST
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so

%files devel
%{rlibdir}/%{packname}/include


%changelog
* Wed Jun 15 2022 misaka00251 <misaka00251@misakanet.cn> - 0.3.8-1
- Init package (Thanks to fedora team)
